/******************************************************************************
*  CSS for control elements (ce) in editmode.
*  pirobase imperia gmbh 2009
*******************************************************************************/
.i-css-hide-step {
    display: none;
}

.clearfix:before, .clearfix:after {
  content: " ";
  display: table;
}

.clearfix:after {
  clear: both;
}
.button_container {
    margin: 20px 0;
}
table.button_container, table.ce_table_container {
    width: auto;
}

.imperia_edit_header {
    width: 100%;
}

.workflow_steps {
    width: 100%;
    background-color: #3c3c3c;
    height: 45px;
    list-style-type: none;
    padding: 0;
}

.workflow_steps li {
    float: left;
    height: 45px;
    width: 130px;
    cursor: default;
}
.workflow_steps li.prev,
.workflow_steps li.prev_last,
.workflow_steps li.prev_last:hover,
.workflow_steps li.prev:hover{
    border-bottom: 5px solid #3ba447;
}

.workflow_steps li.current,
.workflow_steps li.current:hover {
    border-bottom: 5px solid #eb8237;
}

.workflow_steps li.last,
.workflow_steps li.last:hover {
    border-bottom: 5px solid #d80000;
}

.workflow_steps li a {
    display: inline-block;
    color: #fff;
    padding: 2px 5px 8px 5px;
    height: 100%;
    width: 100%;
    font-size: 14px;
    cursor: not-allowed;
    pointer-events: none;
    overflow: hidden;
}

.workflow_steps li a:hover * {
    text-shadow:none;
}

.workflow_steps span {
    display: block;
}

.i-css-left {float:left;}
.i-css-right{float:right;}

#imperia img.current_flag {border: 5px solid orange;}

#imperia a {text-decoration: none;}
#imperia .i-controls-dynamic a {text-decoration: none;border: none;}
#imperia .i-css-left {float: left;}
#imperia .i-css-right {float: right;text-align: right;}
#imperia .clear {clear: both;}

#imperia .control_element {
    background: transparent;
    width: 100%;
    margin: 10px 0;
    font-family: 'Trebuchet MC', Verdana, Arial, sans-serif;
    color: #ececec;
    font-size: 12px;
}
#imperia .control_element a{
    background-color: transparent;
}
#imperia .control_element table{
    width: 100%;
    font-family: 'Trebuchet MC', Verdana, Arial, sans-serif;
    color: #ececec;
    font-size: 12px;
}

#imperia .ce_body {
    background: #3c3c3c;
    padding-left: 7px;
    text-align: left;
    border: none;
    border-bottom: none;
    width: 100%;
}

#imperia .flexinstance,
#imperia .blockinstance,
#imperia .imperiablockinstance,
#imperia .slotinstance {
    background: none;
    background-color: #434750;
    padding: 1px;
    border: none;
    border-bottom: none;
}
#imperia .imp_basic .i-css-left {margin-right: 0;padding-top: 3px;}
/*Fix for Chrome only*/
@media screen and (-webkit-min-device-pixel-ratio:0) {
    #imperia .imp_basic .i-css-left {padding-top: 0;}
}
@media screen and (-webkit-min-device-pixel-ratio:0) {
    #imperia .i-controls-dynamic .imp_basic .i-cssleft {padding-top: 3px;}
}
#imperia .imp_basic select {max-width: 230px;}
#imperia .ce_include {
    float: left;
    white-space:nowrap;
    margin: 2px 10px 2px 2px;
}
#imperia .dnd_container_ghost {
    border: silver 2px dashed;
    position: relative;
    padding-bottom: 0px;
    margin: 0px;
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 0px;
    border:none;
    background: none;
    border-bottom:none;
}
#imperia .dnd1_element .ce_instance {
    cursor: move;
}
#imperia .ce_instance {
    background: #4d515a;
    border: 2px solid #70767c;
    line-height: 18px;
    vertical-align: middle;
    padding: 1px 1px 1px 4px;
    border:none;
    border-bottom:none;
}
#imperia .blockinstance .ce_instance,
#imperia .imperiablockinstance .ce_instance {
    background: #797f8c; /* 828384; */
    border: 2px solid #afb1b3;
    color: #fff;
    border:none;
    border-bottom:none;
}
#imperia .ce_instance_title {
    font-size: 10px;
    border:none;
    background: none;
    border-bottom:none;
}
#imperia .blockinstance .ce_label,
#imperia .imperiablockinstance .ce_label {
    font-size: 11px;
    border:none;
    background: none;
    border-bottom:none;
}
#imperia input.block_instance_num,
#imperia input.imperiablock_instance_num {
    height: 16px;
    line-height: 16px;
    font-size: 10px;
    padding: 0;
    margin: 1px 0;
    background: url('/imperia/images/editmode/control_elements/bg_input.jpg') #fff top left repeat-x;
    border:1px solid #444749;
}
#imperia img.ce_img,
#imperia img.flexcontrolimg,
#imperia img.controlimg {
    vertical-align: middle;
}
#imperia img.controlimg {
    cursor: pointer;
}
#imperia .ce_label {
    margin-bottom: 3px;
}
#imperia input.ce_input {
    font-size: 11px;
    height: 16px;
    margin: 0;
    padding: 1px 2px;
    vertical-align: middle;
}
#imperia select.slot_select {
    margin-top: 3px;
}
/*******************************************************************************
*  Control Element Container with Table.
*******************************************************************************/
#imperia table.ce_table_container td{
    padding: 0;
    background: none;
    border-bottom: none;
}
#imperia .ce_table_container td.ce_top_l {
    background: url('/imperia/images/editmode/control_elements/top_l.png') no-repeat top left;
    height: 7px;
    width: 7px;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_top_r {
    background: url('/imperia/images/editmode/control_elements/top_r.png') no-repeat top right;
    height: 7px;
    width: 7px;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_top {
    background: url('/imperia/images/editmode/control_elements/top.jpg') repeat-x top left;
    height: 7px;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_bottom_l {
    background: url('/imperia/images/editmode/control_elements/bottom_l.png') no-repeat top left;
    height: 7px;
    width: 7px;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_bottom_r {
    background: url('/imperia/images/editmode/control_elements/bottom_r.png') no-repeat top right;
    height: 7px;
    width: 7px;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_bottom {
    background: url('/imperia/images/editmode/control_elements/bottom.jpg') repeat-x top left;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_body {
    background: #4d515a none;
    text-align: center;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_body_r {
    background: url('/imperia/images/editmode/control_elements/left.jpg') repeat-y top right;
     width: 7px;
    border-bottom:none;
}
#imperia .ce_table_container td.ce_body_l {
    background: url('/imperia/images/editmode/control_elements/right.jpg') repeat-y top right;
     width: 7px;
    border-bottom:none;
}
#imperia a.mam_link {
    font-size: 10px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    color: #fff;
    background-color: transparent;
    text-shadow: 1px 1px #000;
    border-bottom:none;
}

#imperia a.mam_link_active {
   text-decoration: underline;
}

/*******************************************************************************
*  Upload
*******************************************************************************/
#imperia .mam_default_img {
    margin: 0 auto;
    clear: both;
    border-bottom:none;
    min-height: 90px;
    max-width: 98%;
    margin: 0px;
}

#imperia .reset_img_container {
    position: absolute;
    top: 0;
    right: 0;
    text-align: right;
    border-bottom:none;
    z-index: 20;
}
#imperia .imp_upload_row {
    margin: 5px;
    border-bottom:none;
    width: 100%;
}
#imperia .imp_upload_row input.i-state-filename {
   height: 25px;
   line-height: 25px;
   padding: 4px;
   font-size: 12px;
   margin-bottom: 4px;
}
#imperia .imp_upload_label {
    font-weight: bold;
    width: 180px;
    float: left;
    text-align: right;
    padding: 2px 5px 0 5px;
    vertical-align: middle;
    border-bottom:none;
}
#imperia .imp_noborder {
    border:none;
    background:none;
    width:auto;
    border-bottom:none;
}
#imperia .imperia_img_placeholder {
    text-align: center;
    margin: 0 auto;
    position: relative;
    vertical-align: middle;
    padding: 4px;
}
#imperia .imperia_img_placeholder img.imperia_load {
    position: absolute;
    top: 45%;
    left: 43%;
}
#imperia .multiupload_settings {
    text-align: center;
    font-weight: bold;
}
#imperia .i-sort-iframe-helper {
    font-size: 11px;
    font-family: Arial, Helvetica, sans-serif;
    font-style: italic;
    background-color: #fff;
    padding: 0 5px 5px 5px;
}
#imperia .i-sort-handle {
    cursor: move;
}
#imperia .i-sort-handle a, #imperia .i-sort-handle img, #imperia .i-sort-handle input {
    cursor: pointer;
}
#imperia .i-sort-handle select{
    cursor: default;
}
#imperia .contentblock_body .imp_upload_filename {
    color: #444749;
}

/*******************************************************************************
* DND v.2
*******************************************************************************/
#imperia .dynamic_ce_include {
    float: left;
}
#imperia .dynamic_ce_include img {
    vertical-align: none;
}
#imperia .i-instance-container {
    position: relative;
    margin: 5px 0;
}
#imperia .i-controls {
    color: #efefef;
    font-family: 'Arial', sans-serif;
    font-weight: normal;
    text-shadow: 1px 1px 1px #000;
    font-size: 12px;
    font-style: italic;
}
#imperia .i-controls-instance.i-controls-dynamic,
#imperia .i-controls-main.i-controls-dynamic {

}

#imperia .i-instance {
    border: 2px solid transparent;
    position: relative;
}

.ui-sortable-helper {
    left: 0;
}

#imperia .i-instance-dynamic {
    border: 2px solid transparent;
    position: static; /* Fix for IE7 */
}
#imperia .i-instance-dynamic.i-state-active {
    position: relative;
}
#imperia .i-instance-dynamic.i-instance-float-left {
    float: left;
}
#imperia .i-instance-dynamic.i-instance-float-right {
    float: right;
}
#imperia .i-instance-content {
    padding: 2px 0;
}
#imperia .i-controls-instance.i-controls-dynamic {
    position: absolute;
    z-index: 399;
    background: #4d515a;
    min-height: 23px;
}
#imperia .i-controls-instance.i-controls-dynamic .i-css-left {
    background: #4d515a;
    padding: 0 0 0 2px;
    height: 23px;
    line-height: 22px;
}

#imperia .i-controls-instance.i-controls-dynamic .ce_instance_counter,
#imperia .i-controls-instance.i-controls-dynamic .ce_instance_desc {
    float: left;
}
#imperia .i-controls-instance.i-controls-dynamic .ce_instance_desc {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    max-width: 70px;
}
#imperia .i-controls-instance.i-controls-dynamic .i-css-right {
   background: #4d515a;
   padding: 0;
   height: 19px;
}
#imperia .i-controls-main.i-controls-dynamic {
    position: absolute;
    z-index: 399;
    background: #4d515a;
    border-radius: 0;
}
#imperia .i-controls-dynamic.i-controls-float {
    overflow: hidden;
}
#imperia .i-instance.i-state-active {
    background: #fff;
    box-shadow: 0px 0 6px #666;
    border-left: 2px solid #444749;
    border-right: 2px solid #444749;
}
#imperia .i-instance-placeholder {
    background: #fff;
    border: 2px dashed #6e7380;
    color: #6e7380;
    padding: 4px 3px;
    font-family: 'Trebuchet MC', Verdana, Arial, sans-serif;
    font-size: 12px;
    font-weight: normal;
    text-transform: none;
    font-style: italic;
    text-align: center;
}
#imperia .i-instance-placeholder.i-state-active {
    background: #fff;
    box-shadow: 0px 0 6px #666;
    border-left: 2px solid #444749;
    border-right: 2px solid #444749;
    border-top: 2px solid #444749;
    border-bottom: none;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}
#imperia .i-instance.i-state-active.i-state-hidden {
    border: 3px solid transparent;
    box-shadow: none;
}
#imperia .i-instance-dynamic.i-state-active > .i-controls-instance{
    border-top: 2px solid #444749;
    border-left: 2px solid #444749;
    border-right: 2px solid #444749;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    box-shadow: 0px -1px 6px #666;
    -webkit-box-shadow: 0px -1px 6px #666;
    -moz-box-shadow: 0px -1px 6px #666;
    -ms-box-shadow: 0px -1px 6px #666;
    -o-box-shadow: 0px -1px 6px #666;
}
#imperia .i-instance-container .i-instance-dynamic.i-state-active > .i-controls-main{
    border-bottom: 2px solid #444749;
    border-left: 2px solid #444749;
    border-right: 2px solid #444749;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    box-shadow: 0px 1px 6px #666;
    -webkit-box-shadow: 0px 1px 6px #666;
    -moz-box-shadow: 0px 1px 6px #666;
    -ms-box-shadow: 0px 1px 6px #666;
    -o-box-shadow: 0px 1px 6px #666;
}
#imperia .i-instance-dynamic.i-state-minimize {
    background: #f3f3f3;
    margin: 3px 0;
}
#imperia .i-instance.i-state-active,
#imperia .i-controls-container {
    background: #fff;
}
#imperia .i-instance-dynamic.i-state-minimize.i-state-active {
    background: #f3f3f3;
}
#imperia .i-controls-main.i-controls-dynamic.i-controls-single {
    z-index: 1;
    border: 2px solid #444749;
    box-shadow: none;
    -webkit-box-shadow: 0px 0px 0px #000;
    -moz-box-shadow: 0px 0px 0px #000;
    -ms-box-shadow: 0px 0px 0px #000;
    -o-box-shadow: 0px 0px 0px #000;
}
#imperia .i-instance .i-instance-description {
    display: none;
    font-family: Arial, sans-serif;
    font-size: 12px;
    font-weight: normal;
}
#imperia .i-instance.i-state-minimize .i-instance-description {
    display: block;
    overflow: hidden;
    padding: 3px 0;
    white-space: nowrap;
    color: #999;
    font-style: italic;
    font-weight: normal;
}
#imperia .i-sortable .i-instance > .i-sort-handle {
    cursor: move;
}
#imperia .dynamic_ce_button {
    display: block;
    float: left;
    width: 16px;
    height: 16px;
    border-radius: 10px;
    margin: 2px 1px 0 0;
}
#imperia .dynamic_ce_run_button {
    /*float: left;*/
    width: 25px;
}
#imperia .i-controls-base a:hover.dynamic_ce_button,
#imperia .i-controls-dynamic a:hover.dynamic_ce_button {
    box-shadow: 0 0 3px #efefef;
    background-color: #fff;
}
#imperia a.i-action-maximize {
    background: url('/imperia/images/editmode/control_elements/ce_max.png');
}
#imperia .i-controls-dynamic a.i-action-maximize,
#imperia .i-controls-base a.i-action-maximize {
    background: url('/imperia/images/editmode/control_elements/dynamic/button_max.png');
}
#imperia a.i-action-minimize {
    background: url('/imperia/images/editmode/control_elements/ce_min.png');
}
#imperia .i-controls-base a.i-action-minimize,
#imperia .i-controls-dynamic a.i-action-minimize {
    background: url('/imperia/images/editmode/control_elements/dynamic/button_minus.png');
}
#imperia .i-controls-base a.i-action-delete,
#imperia .i-controls-dynamic a.i-action-delete {
    background: url('/imperia/images/editmode/control_elements/dynamic/button_x.png');
}
#imperia .i-controls-base a:hover.i-action-delete,
#imperia .i-controls-dynamic a:hover.i-action-delete {
    box-shadow: 0 0 5px #f6361c;
    background-color: #d61a27;
}
#imperia .i-controls-base a.i-action-clone,
#imperia .i-controls-dynamic a.i-action-clone {
    background: url('/imperia/images/editmode/control_elements/dynamic/button_plus.png');
}
#imperia .i-controls-base a.i-action-position-up,
#imperia .i-controls-dynamic a.i-action-position-up {
    background: url('/imperia/images/editmode/control_elements/dynamic/button_up.png');
}
#imperia .i-controls-base a.i-action-position-down,
#imperia .i-controls-dynamic a.i-action-position-down {
    background: url('/imperia/images/editmode/control_elements/dynamic/button_down.png');
}
/***********   SLOT  ***********/
#imperia .i-controls-slot {
    /*background: #3e7392;*/
}
#imperia .slot_container .i-instance.i-state-active {

}
#imperia .slot_container .i-controls-single {

}
#imperia .slot_container .i-controls-main.i-controls-dynamic,
#imperia .slot_container .i-controls-instance.i-controls-dynamic .i-css-left,
#imperia .slot_container .i-controls-instance.i-controls-dynamic .i-css-right {
/*    background: rgba(62,115,146,0.8);*/

}
#imperia .slot_container .i-controls-instance.i-controls-dynamic .i-css-right {

}
#imperia .slot_container .i-controls-instance.i-controls-dynamic .i-css-left {

}
#imperia .slot_container .i-instance.i-state-active .i-controls-main.i-controls-dynamic {

}
#imperia .slot_container .i-instance.i-state-active .i-controls-instance.i-controls-dynamic .i-css-left {

}
#imperia .slot_container .i-instance.i-state-active .i-controls-instance.i-controls-dynamic .i-css-right {

}
#imperia .slot_container .i-instance.i-state-active .i-controls-main.i-controls-dynamic {

}
/***********   FLEX  ***********/
#imperia .i-controls-flex {
   /* background: #699bb7;*/
}
#imperia .flex_container .i-instance.i-state-active {

}
#imperia .flex_container .i-controls-single {
}
#imperia .flex_container .i-controls-main.i-controls-dynamic,
#imperia .flex_container .i-controls-instance.i-controls-dynamic .i-css-left,
#imperia .flex_container .i-controls-instance.i-controls-dynamic .i-css-right {
/*    background: rgba(105,155,183,0.8);*/
}
#imperia .flex_container .i-instance.i-state-active .i-controls-main.i-controls-dynamic {

}
#imperia .flex_container .i-instance.i-state-active .i-controls-instance.i-controls-dynamic .i-css-left {

}
#imperia .flex_container .i-instance.i-state-active .i-controls-instance.i-controls-dynamic .i-css-right {

}
/***********   IMPERIABLOCK  ***********/
#imperia .i-controls-imperiablock {
    /*background: #9fc4d9;*/
}
#imperia .imperiablock_container .i-instance.i-state-active {

}
#imperia .imperiablock_container .i-controls-single {
}
#imperia .imperiablock_container .i-controls-main.i-controls-dynamic,
#imperia .imperiablock_container .i-controls-instance.i-controls-dynamic .i-css-left,
#imperia .imperiablock_container .i-controls-instance.i-controls-dynamic .i-css-right {
/*    background: rgba(159,196,217,0.8);*/
}
#imperia .imperiablock_container .i-controls-main.i-controls-dynamic {
    padding: 2px 0;
}
#imperia .imperiablock_container .i-controls-main.i-controls-dynamic .i-css-left {
    padding-left: 4px;
}
/***********   ARRAYABLOCK  ***********/
#imperia .i-controls-arrayblock {
    /*background: #9fc4d9;*/
}
#imperia .arrayblock_container .i-instance.i-state-active {

}
#imperia .arrayblock_container .i-controls-single {

}
#imperia .arrayblock_container .i-controls-main.i-controls-dynamic,
#imperia .arrayblock_container .i-controls-instance.i-controls-dynamic .i-css-left,
#imperia .arrayblock_container .i-controls-instance.i-controls-dynamic .i-css-right {

/*    background: rgba(159,196,217,0.8);*/

}
#imperia .arrayblock_container .i-controls-main.i-controls-dynamic {
   /* line-height: 24px;*/
   padding: 2px 0;
}
#imperia .arrayblock_container .i-controls-main.i-controls-dynamic .i-css-left {
    padding-left: 4px;
}
.i-sort-placeholder {
    outline: 1px dashed gray;
    background: #c3c3c3;
}
/*******  Custom  selects ******/
#imperia div.i-custom-select, #imperia div.i_custom_select {
    color: #444749;
    text-shadow: none 0;
    text-shadow: 0 0 0 #000000;
    font-family: Arial, Verdana,sans-serif;
    font-size: 11px;
}
#imperia div.i-custom-select-text {
    cursor: pointer;
}
#imperia .i-custom-select-popup .i-custom-select-item:hover {
    background-color: #d0d2d5;
}
#imperia div:hover.i-custom-select-text {
    color: #000;
    text-shadow: 0 5px 15px #fff;
}
#imperia ul.i-custom-select-popup, ul.i-custom-select-popup {
    margin: 0;
    padding: 0;
    cursor: default;
    list-style-type: none;
    background: #eeeded;
    border: 1px solid #74787f;
    border-top: 0 none;
    box-shadow: 0 0 5px #666;
}
#imperia ul.i-custom-select-popup li, ul.i-custom-select-popup li {
    white-space: nowrap;
    padding: 3px 5px;
    font-style: normal;
    color: #444749;
    font-family: Arial, Verdana,sans-serif;
    font-size: 11px;
    text-align: left;
    list-style-type: none;
}
#imperia .ce_more {
    margin-top: 5px;
    cursor: pointer;
}
#imperia .ce_moduleselect div.i-custom-select-text-wrapper,
#imperia .ce_moduleselect div.i_custom_select_text_wrapper {
    margin: 0;
    height: 21px;
    line-height: 21px;
    min-width: 80px;
    max-width: 180px;
    padding: 0;
    background: url('/imperia/images/editmode/control_elements/dynamic/bg_text.png') repeat-x;
}
#imperia .ce_moduleselect div.i-custom-select-text-wrapper div.i-custom-select-text {
    padding: 0 15px 0 3px;
    margin: 0 8px 0 10px;
    background: url('/imperia/images/editmode/control_elements/dynamic/arrow_down.gif') no-repeat 98% 9px;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
#imperia .ce_instanceselect div.i-custom-select-text-wrapper {
    margin: 0;
    height: 21px;
    line-height: 21px;
    padding: 0;
    width: 29px;
    text-align: center;
    background: url('/imperia/images/editmode/control_elements/dynamic/instances.png') no-repeat;
}
#imperia .ce_instanceselect div.i-custom-select-text-wrapper div.i-custom-select-text {
    padding-right: 8px;
}
#imperia .i-custom-select-popup .i-state-highlight, .i-custom-select-popup .i-state-highlight{
    background: #4c8fc3;
    color: #fff;
    font-weight: normal;
}
/*************/
#imperia br.clear,
#imperia div.clear,
#imperia p.clear  {
    height: 1px;
    line-height: 1px;
    margin: 0;
    padding:0;
    background: none;
    box-shadow: none 0 0 0;
    border: none;
}


.i-controls-base {
    background: #4d515a;
}
.i-controls-base.i-controls-main {
    margin-bottom: 0.5em;
}

.i-controls-base.i-controls-instance {
    border: 0 none;
    border-radius: 0;
}
#imperia .i-instance-base {
    margin: 4px 2px;
}

.i-controls-base .imp_basic {
    padding: 3px 5px 1px 5px;
}

.i-action-main-controls-link {
    display: block;
    float: left;
    width: 16px;
    height: 16px;
    margin-right: 2px;
    border-radius: 10px;
    cursor: pointer;
    background: url('/imperia/images/editmode/control_elements/dynamic/button_down_basic.png');
    margin-top: -1px
}

.i-action-main-controls-link:hover {
    background-color: #FFF!important;
    box-shadow: 0 0 3px #FEFEFE;
}
.i-instance-base.i-state-main-controls-visible > .i-controls-instance .i-action-main-controls-link {
    background: url('/imperia/images/editmode/control_elements/dynamic/button_up_basic.png');
}
.i-main-controls-container > .i-controls-main {
    border: 0 none;
    border-radius: 0;
}
.i-controls-instance.i-controls-base .i-css-left {
    padding: 3px 0 3px 5px;
}
.i-controls-instance.i-controls-base .i-css-right {
    padding: 3px 2px 3px 0;
}

.i-instance-base.ui-sortable-helper {
    background: white;
}
.i-instance-base.i-state-main-controls-visible > .i-controls-instance {
    position: relative;
    z-index: 2;
    box-shadow: 0px 2px 10px -2px #222;
    -ms-box-shadow: 0px 2px 10px -2px #222;
    -moz-box-shadow: 0px 2px 10px -2px #222;
    -webkit-box-shadow: 0px 2px 10px -2px #222;
}

.i-instance-base.i-state-main-controls-visible > .i-main-controls-container > .i-controls-main {
    background: #656669;
}

.i-state-controls-hidden #imperia .i-controls-base {
    display: none;
}

.i-state-controls-hidden #imperia .i-instance-base {
    border: 0 none;
    margin: 0;
}
#imperia .dynamic_ce_run_button img {
    vertical-align: top;
}

#imperia .dropzone {
    position: relative;
}

#imperia .dnd-holder {
    display: block;
    border: 5px dashed #ccc;
    width: 400px;
    height: 280px;
    margin: 20px auto;
    position: relative;
    background-color:#3c3c3c;
}
#imperia .dnd-holder:hover,
    .dnd-label
    .center p:hover,
    .dnd-browse:hover
    {border-color:#eb8237; color:#eb8237}

#imperia .preview {
    border: 5px dashed #ccc;
    margin: 20px auto;
    position: relative;
    display: block;
}

#imperia .dnd-preview {
    max-width: 100%;
}

#imperia .dnd-input-hidden {
    display: none !important;
}

#imperia .dnd-holder.dnd-hover {
    border: 5px dashed #eb8237;
    color: #eb8237;
}

#imperia .dnd-loader {
    border: 16px solid white;
    border-top: 16px solid #eb8237; /* Orange */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

#imperia .center {
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

#imperia .i-action-reset-asset {
    width: 18px;
    height: 18px;
    margin: 4px;
    position: relative;
    display: block;
}
#imperia .i-action-reset-asset:after {
    content: '';
    width: 16px;
    height: 16px;
    margin: 1px;
    background: #efefef;
    border-radius: 9px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}
#imperia .i-action-reset-asset:hover:after {
    background: #fff;
}
#imperia .i-action-reset-asset svg {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    fill: #393939;
}
#imperia .imp_upload_browselabel {
    height: 100%;
    width: 100%;
    cursor: pointer;
    position:absolute;
}

#imperia .dnd-label {
    width: 80%;
}

#imperia .dnd-label i.fas.fa-upload {
    font-size:80px;
}

#imperia .dnd-label p {
    font-size: 22px;
}

#imperia .dnd-browse {
    font-size: 16px;
    margin: auto auto;
    background: #3c3c3c;
    color: white;
    position:  relative;
    left: 1%;
    display: table;
    padding: 4px;
    margin-bottom: 18px
}

#imperia .upload-warnings {
    margin-top: 8px;
    margin-bottom: 8px;
    text-align: center;
}
